Name:           palp
Version:        1.1
Release:        1%{?dist}
Summary:        A Package for Analyzing Lattice Polytopes
Group:          Applications/Engineering
License:        GPLv2
URL:            http://hep.itp.tuwien.ac.at/~kreuzer/CY/CYpalp.html
Source0:        http://hep.itp.tuwien.ac.at/~kreuzer/CY/palp/palp-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
PALP contains routines for vertex and facet enumeration, computation of
incidences and symmetries, as well as completion of the set of lattice
points in the convex hull of a given set of points. In addition, there
are procedures specialised to reflexive polytopes such as the enumeration
of reflexive subpolytopes, and applications to toric geometry and string
theory, like the computation of Hodge data and fibration structures for
toric Calabi-Yau varieties.


%prep
%setup -q -n %{name}


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
for exe in *.x; do
  install -m 755 $exe $RPM_BUILD_ROOT%{_bindir}/%{name}-$exe
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}-*


%changelog
* Sat Dec 13 2008 Conrad Meyer <konrad@tylerc.org> - 1.1-1
- Initial package.
